py3o.renderserver dockerized
============================

This is a dockerized version of https://bitbucket.org/faide/py3o.renderserver

It will just spawn the py3o part and will require its libreoffice docker companion (see usage)

What is it?
===========

It is a server that converts native LibreOffice files to supported targets. In essence
converting ODT files to PDF.

Usage
=====

First run https://registry.hub.docker.com/u/xcgd/libreoffice with the following command:

    docker run --name="oooserver" -d xcgd/libreoffice-server

then once this is running you can launch your renderserver like so:

    docker run --name="py3o.renderserver" -d -p 8994:8994 --link oooserver:oooserver --volumes-from oooserver xcgd/py3o.renderserver

As you can see the renderers is sharing a filesystem with the libreoffice instance. If you dont provide this linked volume to your renderer LibreOffice will fail with file errors.

Once your server is running see https://bitbucket.org/faide/py3o.renderclient for an idea on how to use it in your own programs...
